<?php
session_start();
include 'conexion/conn.php';

$rut=$_REQUEST['rut'];
$clave=$_REQUEST['clave'];


$rsVerificaUsuario = mysql_query("SELECT sys_usuario.usuario_rut, sys_usuario.usuario_clave, sys_usuario.id_tipousuario, sys_usuario.usuario_fechaingreso, sys_tipo_usuario.nombre_tipousuario, sys_usuario.usuario_intentos, sys_usuario.usuario_estado, sys_usuario.usuario_nombre, sys_usuario.usuario_apepaterno, sys_usuario.usuario_apematerno, sys_usuario.cliente_id, sys_usuario.cliente_zonal FROM sys_usuario
INNER JOIN sys_tipo_usuario ON sys_usuario.id_tipousuario=sys_tipo_usuario.id_tipousuario
WHERE sys_usuario.usuario_rut='$rut'");

if($rowVerificaUsuario = mysql_fetch_array($rsVerificaUsuario)){	
	$tiponombre=$rowVerificaUsuario['nombre_tipousuario'];//PERFIL NOMBRE
	$rut=$rowVerificaUsuario['usuario_rut'];
	$claveTraida=$rowVerificaUsuario['usuario_clave'];
	$estado=$rowVerificaUsuario['usuario_estado'];
	$cliente_id=$rowVerificaUsuario['cliente_id'];
	
	if($clave==$claveTraida){		
		$_SESSION['rut'] = $rowVerificaUsuario['usuario_rut'];
		$_SESSION['nombre'] = $rowVerificaUsuario['usuario_nombre']." ".$rowVerificaUsuario['usuario_apepaterno']." ".$rowVerificaUsuario['usuario_apematerno'];
		$_SESSION['tipo'] = $rowVerificaUsuario['id_tipousuario'];
		$_SESSION['perfil'] = $tiponombre;
		$_SESSION['usuario'] = $rowVerificaUsuario['usuario_nombre']." ".$rowVerificaUsuario['usuario_apepaterno'];
		$_SESSION['cliente'] = $cliente_id;

		echo json_encode(array('success'=>true,'perfil'=>$_SESSION['perfil']));

	}elseif($clave!=$claveTraida){
		echo json_encode(array('msg'=>'Clave inválida. Le quedan 0 intentos'));		
	}
}else{
	echo json_encode(array('msg'=>'Datos ingresados no válidos'));
}